<?php

class GroupsModel
{
	public function list_groups($without_all)
	{
		$where_part = $without_all ? " WHERE id <> 1": "";
		return Database::query("SELECT * FROM groups$where_part ORDER BY system DESC, name");
	}

	public function add_group($groupname, $description)
	{
		Database::query("INSERT INTO groups (name, description) VALUES ('$groupname', '" . pg_escape_string($description) . "')");
	}

	public function delete_group($groupname)
	{
		Database::query("DELETE FROM groups WHERE name = '$groupname' AND system = false");
	}

	public function change_name($old, $new)
	{
		Database::query("UPDATE groups SET name = '$new' WHERE name = '$old'");
	}

	public function change_description($new, $groupname)
	{
		Database::query("UPDATE groups SET description = '$new' WHERE name = '$groupname'");
	}

	public function list_users()
	{
		return Database::query("SELECT * FROM users ORDER BY name");
	}

	public function insert_user_group($username, $groupname)
	{
		return Database::query("select insert_usergroup('$username', '$groupname')");
	}

	public function delete_user_group($users, $groupname)
	{
		return Database::query("DELETE FROM usergroup WHERE user_id IN (SELECT id FROM users WHERE name IN ($users)) AND group_id = (SELECT id FROM groups WHERE name = '$groupname');");
	}

	// return all users in some group
	public function users_in_group($groupname, $with_ldap = true)
	{
		$without_ldap_part = $with_ldap ? '' : " WHERE not name ~ '__ldap_user_'";
		return Database::query("SELECT name FROM show_group_users('$groupname')$without_ldap_part ORDER BY name");
	}

	public function users_out_group($groupname)
	{
		return Database::query("SELECT name FROM users EXCEPT SELECT name FROM show_group_users('$groupname')");
	}

	public function groups_in_user($username)
	{
		return Database::query("SELECT name FROM show_user_groups('$username')");
	}

	public function groups_out_user($username)
	{
		return Database::query("SELECT name FROM groups EXCEPT SELECT name FROM show_user_groups('$username')");
	}
}
