<?php

$fac = array(
	'kernel',
	'user',
	'mail',
	'daemon',
	'auth',
	'syslog',
	'lpr',
	'news',
	'uucp',
	'cron',
	'authpriv',
	'ftp',
	'ntp',
	'logaudit',
	'logalert',
	'clock2',
	'local0',
	'local1',
	'local2',
	'local3',
	'local4',
	'local5',
	'local6',
	'local7',
	'mark'
);

$sev = array(
	'emergency',
	'alert',
	'critical',
	'error',
	'warning',
	'notice',
	'info',
	'debug'
);

?>

<!--<fnum><?php if (isset($logs)) echo count($logs); ?></fnum>-->
<form id="inquireform" action="/logserver/comps/inquire" method="get">

<?php
	$count = (isset($logs))? count($logs) : 0;
	$query = htmlspecialchars($query);
	/* DEBUG
	echo <<<EOD
		i_filter: <input type="text" id="i_filter" name="filter" value="$filter" />
		i_query: <input type="text" id="i_query" name="query" value="$query" />
		i_table: <input type="text" id="i_table" name="table" value="{$lmodel->table_new}" />
		i_direction: <input type="text" id="i_direction" name="direction" value="$direction" />
		i_offset: <input type="text" id="i_offset" name="offset" value="$offset" />
		i_limit: <input type="text" id="i_limit" name="limit" value="$limit" />
		order: <input type="text" id="order" name="order" value="$order" />
		table_prev: <input type="text" id="table_prev" name="table_prev" value="{$lmodel->table_prev}" />
		table_next: <input type="text" id="table_next" name="table_next" value="{$lmodel->table_next}" />
		table_next2: <input type="text" id="table_next2" name="table_next2" value="{$lmodel->table_next}" />
		msg_count: <input type="text" id="msg_count" name="count" value="$count" />
	</form>

EOD;
*/
	echo <<<EOD
		<input type="hidden" id="i_filter" name="filter" value="$filter" />
		<input type="hidden" id="i_query" name="query" value="$query" />
		<input type="hidden" id="i_table" name="table" value="{$lmodel->table_new}" />
		<input type="hidden" id="i_direction" name="direction" value="$direction" />
		<input type="hidden" id="i_offset" name="offset" value="$offset" />
		<input type="hidden" id="i_limit" name="limit" value="$limit" />
		<input type="hidden" id="order" name="order" value="$order" />
		<input type="hidden" id="table_prev" name="table_prev" value="{$lmodel->table_prev}" />
		<input type="hidden" id="table_next" name="table_next" value="{$lmodel->table_next}" />
		<input type="hidden" id="table_next2" name="table_next2" value="{$lmodel->table_next}" />
		<input type="hidden" id="msg_count" name="count" value="$count" />
	</form>

EOD;

	function print_row(&$row)
	{
		global $fac;
		global $sev;
		global $settings;

		if ($row['event'] != 0)
			$event_row = "<a href=\"#\" onclick=\"window.open('http://www.eventid.net/display.asp?eventid={$row['event']}&source={$row['ident']}'); return false\">{$row['event']}</a>";
		else
			$event_row = $row['event'];

		if ($settings['monitor_host'])
		{
			if ($settings['host_info_url'])
				$host_row = "<a href=\"#\" onclick=\"window.open('" . $settings['monitor_host'] . str_replace('[host]', $row['host'], $settings['host_info_url']) ."')\">{$row['host']}</a>";
			else
			{
				$url = $settings['monitor_host'];
				if ($settings['use_ninja'])
					$url .= '/monitor/index.php/extinfo/details/host/';
				else
					$url .= '/monitor/cgi-bin/extinfo.cgi?type=1&host=';
				$url .= $row['host'];
				$host_row = "<a href=\"#\" onclick=\"window.open('{$url}')\">{$row['host']}</a>";
			}
		}
		else
			$host_row = $row['host'];

		echo <<<END
	<tr onmouseover="over_row(this,'')" onmouseout="over_row(this,'')">
		<td class="{$sev[$row['sev']]}" style="padding-left: 20px;">{$sev[$row['sev']]}</td>
		<td>{$fac[$row['fac']]}</td>
		<td class="nowrap">{$row['rtime']}</td>
		<td class="nowrap">{$row['mtime']}</td>
		<td>{$event_row}</td>
		<td>{$row['ip']}</td>
		<td class="nowrap">{$row['ident']}</td>
		<td>{$host_row}</td>
		<td>{$row['pid']}</td>

END;
		echo '<td>' . htmlspecialchars($row['msg']) . '</td></tr>';
	}

	echo '<table summary="Logdata table" class="max">';

	if (isset($logs))
	{
		if ($order == 'desc')
			for ($i = count($logs) - 1; $i >= 0; $i--)
				print_row($logs[$i]);
		else
			foreach ($logs as $row)
				print_row($row);
	}

	echo '</table>';

	if ($error) echo '<span class="error">' . $error . '</span>';
?>
