<?php

if (!Auth::$is_admin['report'])
{
	header('Location: /logserver/error.html');
	exit;
}

include ('comps/filters/model.php');

$filter = (isset($_REQUEST['filter']))? $_REQUEST['filter'] : 'All';
$action = (isset($_REQUEST['action']))? $_REQUEST['action'] : '';
$immediately = (isset($_REQUEST['immediately']))? $_REQUEST['immediately'] : '';
$reportname = (isset($_REQUEST['reportname']))? $_REQUEST['reportname'] : '';
$orig_reportname = (isset($_REQUEST['orig_reportname']))? $_REQUEST['orig_reportname'] : '';
$recipient_type = (isset($_REQUEST['recipient_type']))? $_REQUEST['recipient_type'] : '';
$recipients = (isset($_REQUEST['recipients']))? $_REQUEST['recipients'] : '';
$interval_type = (isset($_REQUEST['interval_type']))? $_REQUEST['interval_type'] : '';
$description = (isset($_REQUEST['description']))? $_REQUEST['description'] : '';

$model = new ReportsModel;

if ($action == "create")
{
	Audit::track('create auto report', "Name: '$reportname'; Filter: '$filter'");
	if (!$model->create_report($reportname, 0, $recipient_type,
		$recipients , $filter, $interval_type, $description))
		echo '<span class="error"></span>';
}
elseif ($action == "delete")
{
	Audit::track('delete auto report', "Name: '$reportname'");
	$model->delete_report($reportname);
}
elseif ($action == "save")
{
	Audit::track('edit auto report', "Name: '$orig_reportname'");
	$model->edit_report($orig_reportname, $reportname, $recipient_type, $recipients, $filter, $interval_type, $description);
}
else
	Audit::track('view auto reports');

if (isset($_REQUEST['immediately']))
{
	if ($model->filter_exists($immediately) != "")
	{
		$result = system("/opt/logserver/reports/reportsend.php immediately '$immediately'");
		$report_type = $model->get_report_path($immediately);
		$result = substr($result, 32, -7);
		if (!file_exists($result) && $report_type == 1)
			echo '<span class="error"></span>';
	}
	else
		echo '<span class="error1"></span>';
}

$reports = $model->get_reports();
