<?php

class ReportsModel
{
	public function get_reports()
	{
		return Database::query("SELECT description, recipient_type, recipients, filter, interval_type, last_generated,"
			. " reports.name AS report, users.name AS owner FROM reports"
			. " LEFT JOIN filters ON reports.filter = filters.name LEFT JOIN users ON userid = users.id ORDER BY reports.id");
	}

	public function create_report($name, $userid, $recipient_type, $recipients, $filter, $interval_type, $description)
	{
		$existing = Database::query("SELECT name FROM reports WHERE name='$name'");

		if (count($existing) == 1)
			return false;
		else
		{
			$username=Auth::$username;
			Database::query("INSERT INTO reports (name, description, recipient_type, recipients, filter, interval_type, userid)"
				. " VALUES ('$name', '" . pg_escape_string($description) . "', $recipient_type, '$recipients', '$filter', $interval_type,"
				. " (SELECT id FROM users WHERE name='$username'))");
			return true;
		}
	}

	public function edit_report($orig_reportname, $reportname, $recipient_type, $recipients, $filter, $interval_type, $description)
	{
		Database::query("UPDATE reports SET name='$reportname', description='$description', recipient_type='$recipient_type',"
			. " recipients='$recipients', filter='$filter', interval_type='$interval_type' WHERE name='$orig_reportname'");
	}

	public function delete_report($name)
	{
		Database::query("DELETE FROM reports WHERE name='$name'");
	}

	public function get_report_path($name)
	{
		$result = Database::query("SELECT recipient_type FROM reports WHERE name='$name'");
		return $result[0]['recipient_type'];
	}

	public function filter_exists($name)
	{
		$result = Database::query("SELECT f.name FROM reports as r, filters as f WHERE r.name='$name' AND r.filter = f.name");
		return $result[0]['name'];
	}
}
