<?php

if (!Auth::$is_admin['settings'])
{
	header('Location: /logserver/error.html');
	exit;
}

$db_period = (isset($_GET['db_period']))? $_GET['db_period'] : 0;
$local_period = (isset($_GET['local_period']))? $_GET['local_period'] : 0;
$remote_period = (isset($_GET['remote_period']))? $_GET['remote_period'] : 0;
$local_path = (isset($_GET['local_path']))? $_GET['local_path'] : '';
$remote_path = (isset($_GET['remote_path']))? $_GET['remote_path'] : '';
$fts_index = (isset($_GET['fts_index']))? $_GET['fts_index'] : false;
$monitor_host = (isset($_GET['monitor_host']))? $_GET['monitor_host'] : '';
$use_ninja = (isset($_GET['use_ninja']))? $_GET['use_ninja'] : false;
$host_info_url = (isset($_GET['host_info_url']))? $_GET['host_info_url'] : '';

$model = new SettingsModel;

if ($host_info_url != '' && $host_info_url[0] !== '/')
	$host_info_url = '/' . $host_info_url;

if (isset($_GET['change']))
{
	Audit::track('change settings');
	$result = $model->change_settings($db_period, $local_period, $remote_period, $local_path, $remote_path,
		$fts_index, $monitor_host, $use_ninja, $host_info_url);
	if ($result)
		$success = true;
	else
		$success = false;
}

$settings = $model->retrieve_settings();
