<?php

class SettingsModel
{
	public function retrieve_settings()
	{
		$result = Database::query("SELECT local_storage_path, remote_storage_path,"
			. " keep_in_db, keep_in_local, keep_in_remote, create_fts_index, monitor_host, use_ninja, host_info_url, use_ldap FROM settings");
		if (count($result))
		{
			$result[0]['create_fts_index'] = ($result[0]['create_fts_index'] == 'f')? false : true;
			$result[0]['use_ninja'] = ($result[0]['use_ninja'] == 't')? true : false;
			$result[0]['use_ldap'] = ($result[0]['use_ldap'] == 't')? true : false;
			return $result[0];
		}
		else
			return array();
	}

	public function change_settings($db_period, $local_period, $remote_period, $local_path, $remote_path, $fts_index, $monitor_host, $use_ninja, $host_info_url)
	{
		$result = Database::query("UPDATE settings SET local_storage_path='{$local_path}',"
			. " remote_storage_path='{$remote_path}', keep_in_db={$db_period},"
			. " keep_in_local={$local_period}, keep_in_remote={$remote_period},"
			. " create_fts_index=" . (($fts_index)? 'TRUE' : 'FALSE') . ","
			. " monitor_host='{$monitor_host}'" . ","
			. " use_ninja=" . (($use_ninja)? 'TRUE' : 'FALSE') . ","
			. " host_info_url='{$host_info_url}'");
		return (bool) count($result);
	}

	public function toggle_ldap() {
		return count(Database::query("UPDATE settings SET use_ldap = not use_ldap;"));
	}

	public function is_use_ldap() {
		$result = Database::query("SELECT use_ldap FROM settings WHERE id = 1;");
		if (!sizeof($result)) {
			return FALSE;
		}
		return $result[0]["use_ldap"] === "t";
	}
}
