<form id="changesettingsform" action="/logserver/comps/settings" method="get">
	<table class="form-table no-margin" summary="Settings" style="margin-top: 0px">
		<?php if (isset($success) && $success) { ?>
		<tr class="msg ok">
			<th colspan="2">Settings have been changed.</th>
		</tr>
		<?php } elseif (isset($success)) { ?>
		<tr class="msg error">
			<th colspan="2">An error occured</th>
		</tr>
		<?php } ?>
		<tr>
			<td class="width-name"><a id="help_keep_in_db" class="help" href="#"><img src="/logserver/images/icons/help_14x14.png" alt="" /></a>
			Rotate database after</td>
			<td><input id="db_period" name="db_period" type="text" value="<?php echo $settings['keep_in_db']; ?>" class="normal" maxlength="3" /> <small>hours</small></td>
		</tr>
		<tr>
			<td><a id="help_local_path" class="help" href="#"><img src="/logserver/images/icons/help_14x14.png" alt="" /></a>
			Local storage path</td>
			<td><input id="local_path" name="local_path" type="text" value="<?php echo $settings['local_storage_path']; ?>"  class="normal" maxlength="255" /></td>
		</tr>
		<tr>
			<td><a id="help_keep_in_local" class="help" href="#"><img src="/logserver/images/icons/help_14x14.png" alt="" /></a>
			Keep archive in local storage</td>
			<td><input id="local_period" name="local_period" type="text" value="<?php echo $settings['keep_in_local']; ?>" class="normal" maxlength="3" /> <small>days</small></td>
		</tr>
		<tr>
			<td><a id="help_remote_path" class="help" href="#"><img src="/logserver/images/icons/help_14x14.png" alt="" /></a>
			Remote storage path</td>
			<td><input id="remote_path" name="remote_path" type="text" value="<?php echo $settings['remote_storage_path']; ?>"  class="normal" maxlength="255" /></td>
		</tr>
		<tr>
			<td><a id="help_keep_in_remote" class="help" href="#"><img src="/logserver/images/icons/help_14x14.png" alt="" /></a>
			Keep archive in remote storage</td>
			<td><input id="remote_period" name="remote_period" type="text" value="<?php echo $settings['keep_in_remote']; ?>" class="normal" maxlength="3" /> <small>months</small></td>
		</tr>
		<tr>
			<td><a id="help_create_fts_index" class="help" href="#"><img src="/logserver/images/icons/help_14x14.png" alt="" /></a>
			Enable fulltext index</td>
			<td><input id="fts_index" name="fts_index" type="checkbox" value="true"<?php if ($settings['create_fts_index']) echo ' checked="checked"'; ?> /></td>
		</tr>
		<tr>
			<td><a id="help_monitor_host" class="help" href="#"><img src="/logserver/images/icons/help_14x14.png" alt="" /></a>
			The monitor host</td>
			<td><input id="monitor_host" name="monitor_host" type="text" value="<?php echo $settings['monitor_host']; ?>"  class="normal" maxlength="255" /></td>
		</tr>
		<tr>
			<td><a id="help_use_monitor5" class="help" href="#"><img src="/logserver/images/icons/help_14x14.png" alt="" /></a>
			Use Monitor 5/6</td>
			<td><input id="use_ninja" name="use_ninja" type="checkbox" value="true"<?php if ($settings['use_ninja']) echo ' checked="checked"'; ?> /></td>
		</tr>
		<tr>
			<td><a id="help_host_info_url" class="help" href="#"><img src="/logserver/images/icons/help_14x14.png" alt="" /></a>Host information page</td>
			<td><input id="host_info_url" name="host_info_url" type="text" value="<?php echo $settings['host_info_url']; ?>"  class="normal" maxlength="255" /></td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td>
				<input name="change" type="submit" value="Save" class="button do-save" />
				&nbsp;
				<input type="reset" name="cancel" value="Cancel" class="button cancel" />
			</td>
		</tr>
	</table>
</form>
