<?php

class SummaryReportsModel
{
	public function get_all_global_summary_reports()
	{
		return Database::query("SELECT name FROM filters AS f, summary_reports AS s"
			. " WHERE f.id = s.filter_id AND owner_id IS NULL ORDER BY name");
	}

	public function get_global_summary_reports($username)
	{
		return Database::query("SELECT name FROM show_global_filters('$username')"
			. " WHERE name IN (SELECT name FROM filters INNER JOIN summary_reports"
			. " ON filters.id=summary_reports.filter_id) ORDER BY name");
	}

	public function get_private_summary_reports($user)
	{
		return Database::query("SELECT name FROM filters AS f, summary_reports AS s"
			. " WHERE f.id = s.filter_id AND owner_id ="
			. " (SELECT id FROM users WHERE name = '$user') ORDER BY name");
	}

	public function add_summary_reports($filtername)
	{
		Database::query("INSERT INTO summary_reports (filter_id) SELECT id FROM filters WHERE name = '$filtername'");
	}

	public function delete_summary_reports($filtername)
	{
		Database::query("DELETE FROM summary_reports WHERE filter_id = (SELECT id FROM filters WHERE name = '$filtername')");
	}
	public function get_top_hosts($filtername)
	{
		return Database::query("SELECT host, count FROM summary_reports_hosts AS h, summary_reports AS r, filters AS f"
			. " WHERE f.id = r.filter_id AND f.name='$filtername' AND r.id=h.summary_id ORDER BY count DESC");
	}

	function get_filter_id($filtername)
	{
		$result = Database::query("SELECT id FROM filters WHERE name = '$filtername'");
		return $result[0]['id'];
	}

	function get_unique_private_filters($username)
	{
		return Database::query("SELECT name FROM show_own_filters('$username')"
			. " EXCEPT (SELECT name FROM filters INNER JOIN summary_reports"
			. " ON filters.id = summary_reports.filter_id) ORDER BY name");
	}

	function get_all_summary_private_filters()
	{
		return Database::query("SELECT f.name, u.name AS user FROM users AS u, filters AS f, summary_reports AS r"
			. " WHERE r.filter_id=f.id AND owner_id is not null AND u.id=f.owner_id ORDER BY user");
	}

	function get_unique_global_filters()
	{
		return Database::query("SELECT name FROM filters WHERE owner_id IS NULL AND id NOT IN"
			. " (SELECT filter_id FROM summary_reports) AND name != 'All' ORDER BY name");
	}

	function get_all_users()
	{
		return Database::query("SELECT name FROM users");
	}
}
