<?php
if ($type == 'graph')
{
	ob_clean();
	if (file_exists("/opt/logserver/rrd/$filter_id.rrd"))
	{
		header("Content-type: image/jpeg");
		system("/opt/logserver/reports/rrd/images.sh $filter_id \"$filter\" $time");
		exit;
	}
	else
	{
		header ("Content-type: image/png");
		readfile(__DIR__."/../../images/report-not-ready.png");
		exit;
	}
}
if ($type == "addglobal")
	foreach ($global_filters as $filtername)
		echo '<option value="' . $filtername['name'] . '">' . $filtername['name'] . '</option>';
elseif ($type == 'addprivate')
	foreach ($private_filters as $filtername)
		echo '<option value="' . $filtername['name'] . '">' . $filtername['name'] . '</option>';
if ($type == "user")
{
	echo '<option value=""></option>';
	foreach ($users as $user) {
		$clear_name = preg_match("/^__ldap_user_/", $user['name']) ? preg_replace("/^__ldap_user_/", "[ldap] ", $user['name']) : $user['name'];
		echo '<option value="' . $user['name'] . '">' . $clear_name . '</option>';
	}
}
elseif ($type == "host")
{
?>
<br />
<table summary="Top logging hosts" class="toplogginghosts">
<thead>
	<tr>
		<th>Top 10 logging hosts</th>
		<th>Log messages</th>
	</tr>
</thead>
<tbody>
<?php
		foreach ($hosts as $host)
		{
echo <<<END
	<tr class="" onmouseover="over_row(this,'')" onmouseout="over_row(this,'')">
		<td align="left">{$host['host']}</td>
		<td align="left">{$host['count']}</td>
	</tr>
END;
		}
?>
</tbody>
</table>
<?php
}
elseif ($type == "global")
{
?>

<table summary="Reports table" class="list">
<thead>
	<tr>
		<th>Name</th>
		<th>&nbsp;</th>
		<th>&nbsp;</th>
	</tr>
</thead>
<tbody>
<?php
	foreach ($all_global_reports as $report)
	{
?>
	<tr title="double click to view" class="" onmouseover="over_row(this,'')" onmouseout="over_row(this,'')">
		<td><?php echo "{$report['name']}" ?></td>
			<td class="edit"><a href="#"><img src="/logserver/images/icons/view.png" alt="view" title="view" /></a></td>
			<?php
			if (Auth::$is_admin['filter'])
			{
			?>
				<td class="remove"><a href="#"><img src="/logserver/images/icons/close.png" alt="remove" title="remove" /></a></td>
			<?php
			}
			?>
	</tr>
<?php
	}
?>
</tbody>
</table>
<?php
}
elseif($type == "private")
{
?>


<table summary="Reports table" class="list">
<thead>
	<tr>
		<th>Name</th>
		<?php
		if (Auth::$is_admin['filter'])
		{
		?>
			<th>User</th>
		<?php
		}
		?>
		<th>&nbsp;</th>
		<th>&nbsp;</th>
	</tr>
</thead>
	<tbody>
	<?php
		foreach ($all_private_reports as $report)
		{
	?>
		<tr title="double click to view" class="" onmouseover="over_row(this,'')" onmouseout="over_row(this,'')">
			<td><?php echo "{$report['name']}" ?></td>
				<?php
				if (Auth::$is_admin['filter'])
				{
				?>
					<td><?php
						if (preg_match("/^__ldap_user_/", $report['user'])) {
							print preg_replace("/^__ldap_user_/", "[ldap] ", $report['user']);
						} else {
							print $report['user'];
						}
					?></td>
				<?php
				}
				?>
				<td class="edit"><a href="#"><img src="/logserver/images/icons/view.png" alt="view" title="view" /></a></td>
				<?php
				if (Auth::$is_admin['filter'])
				{
				?>
					<td class="remove"><a href="#"><img src="/logserver/images/icons/close.png" alt="remove" title="remove" /></a></td>
				<?php
				}
				?>
		</tr>
	<?php
		}
	?>
	</tbody>
</table>
<?php
}
?>
<span class="end"></span>
