<?php

if (!Auth::$is_admin['settings'])
{
	header('Location: /logserver/');
	exit;
}

?>

<div id="header">
	<div id="last_status"></div>
	<h1>Change settings</h1>
</div>
<div id="main-box">
	<div id="main-content">
		<div id="settings-container"></div>

<?php
if (Auth::$is_admin['filter']) {
?>
		<div id="import-export-container">
<hr />
<form id="importfiltersform" action="/logserver/view/settings/importfilters.inc.php" method="post">
	<table class="form-table no-margin" summary="import">
		<tr>
			<td class="width-name"><a id="help_filters_import" class="help" href="#"><img src="/logserver/images/icons/help_14x14.png" alt="" /></a>
				Import filters<!--
				<div style="padding-left: 25px; padding-top: 7px"><i>Place for disclaimer text..</i></div>
				-->
			</td>
			<td>
				<input type="hidden" name="MAX_FILE_SIZE" value="1000000" />
				<input type="file" name="xml_file" value="" id="upload" size="47" class="file" />
				<!--<input type="text" name="fake_input" id="fake_input" value="" class="file-normal" />
				<img src="/logserver/images/buttons/browse.png" class="file-button" alt="" />-->
			</td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td>
				<input id="import" name="import" type="submit" value="Import" class="button import" />
				<span id="import_status" style="display: none"></span>
			</td>
		</tr>
	</table>
</form>
<hr />
<form action="/logserver/view/settings/exportfilters.inc.php" method="post">
	<table class="form-table no-margin" summary="export">
		<tr>
			<td class="width-name" style="vertical-align: top"><a id="help_filters_export" class="help" href="#"><img src="/logserver/images/icons/help_14x14.png" alt="" /></a>
				Export filters<br /><!--
				<div style="padding-left: 25px; padding-top: 7px"><i>Place for disclaimer text..
					Place for disclaimer text..
					Place for disclaimer text..
					Place for disclaimer text..</i></div>-->
			</td>
			<td>
				<table style="margin-left: -10px; margin-top: -5px">
					<tr>
						<td rowspan="6">
							<label for="filters_out">&nbsp;Available filters</label><br />
							<select id="filters_out" multiple="multiple" size="16" class="box b250x200"></select>
						</td>
						<td class="middle" rowspan="6">
							<input type="button" id="filters_add" value="&raquo;" class="button arrow-right" /><br /><br />
							<input type="button" id="filters_remove" value="&laquo;" class="button arrow-left" />
						</td>
						<td rowspan="6">
							<label for="fitlers_in">&nbsp;Selected filters</label><br />
							<select id="filters_in" name="filters[]" multiple="multiple" size="16" class="box b250x200"></select>
						</td>
					</tr>
				</table>
			</td>
		</tr>
		<tr>
			<td>&nbsp;</td>
			<td>
				<br />
				<input id="export" name="export" type="submit" value="Export" class="button export" />
			</td>
		</tr>
	</table>
</form>
<?php } if (Auth::$is_admin['user']) { 
	require_once("comps/settings/model.php");
	$m = new SettingsModel();
	?>
		<hr />
		<?php
		if (Config::showldap) {
		?>
		<div id="ldap-configure-wrapper">
			<div class="configure-title">
				<a id="help_ldap_mapping" href="#" class="help"><img src="/logserver/images/icons/help_14x14.png" alt=""></a>
				<span>Ldap group mapping</span>
			</div>
			<div class="configure-content">
				<form action="/logserver/comps/ldapmap" type="GET" id="use-ldap-form ">
					<label for="use-ldap">Use LDAP</label>
					<input type="checkbox"<?php if($m->is_use_ldap()) { print ' checked="checked"'; } ?> id="use-ldap" class="use-ldap" name="use-ldap" />
					<input type="hidden" value="toggleLdap" name="action" />
				</form>
				<div>
					<form id="add-new-map-wrapper" method="POST" action="/logserver/comps/ldapmap">
						<div class="ldapmap-name">
							<label>Ldap group name</label>
							<input type="text" class="name" name="name"/>
						</div>
						<div class="ldapmap-map">
							<label class="left">Logserver groups</label>
							<select id="ldapmap_out" multiple="multiple" size="16" class="box b250x200 left"></select>
							<span class="button-wrapper left">
								<input type="button" value="&raquo;" class="block to-right" />
								<input type="button"value="&laquo;" class="block to-left" />
							</span>
							<select id="ldapmap_in" name="ldapmap[]" multiple="multiple" size="16" class="box b250x200 left"></select>
							<div class="clear"></div>
						</div>
						<div class="ldapmap-actions">
							<input type="submit" value="Save" name="submit" />
							<input type="button" value="Cancel" name="submit" />
							<input type="hidden" value="addItem" name="action" />
						</div>
						<div>
							<input type="hidden" name="old_id" id="old_id"/>
						</div>
					</form>
					<div id="add-new-group-button">
						<input type="button" value="Add group"/>
					</div>
					<table id="ldap-group-map" class="list data-table no-sort" data-source="/logserver/comps/ldapmap">
						<thead><tr>
							<th width="20%">NAME</th>
							<th >GROUPS</th>
							<th style="width: 50px; "></th>
						</tr></thead>
						<tbody></tbody>
					</table>
				</div>
			</div>
		</div>
		<?php } ?>
<?php } ?>
	</div>
	</div>
</div>

