<?php
if (isset($global_filters) && count($global_filters))
{
	$index = array_search('All', $global_filters, true);

	if ($index !== false)
	{
		unset($global_filters[$index]);
		array_unshift($global_filters, 'All');
	}
}

if ($simple)
{
	echo '<select id="filter" name="filter" class="normal"><optgroup label="Global filters">';
	foreach ($global_filters as $filtername)
		echo '<option value="' . $filtername . '">' . $filtername . '</option>';
	echo '</optgroup><optgroup label="My filters">';
	foreach ($own_filters as $filtername)
		echo '<option value="' . $filtername . '">' . $filtername . '</option>';
	echo '</optgroup></select>';
}
elseif ($type == 'global')
	foreach ($global_filters as $filtername)
		echo '<option value="' . $filtername . '">' . $filtername . '</option>';
elseif ($type == 'own')
	foreach ($own_filters as $filtername)
		echo '<option value="' . $filtername . '">' . $filtername . '</option>';
elseif ($action == 'get_parents')
	echo $hierarchy;
elseif ($action == 'get_exportable')
{
	if ($format == 'plaintext')
	{
		header('Content-Type: text/plain');
		foreach ($exportable_filters as $filter)
			echo $filter['name'] . "\n";
	}
	else
		foreach ($exportable_filters as $filter)
			echo '<option value="' . $filter['name'] . '" title="child of ' . $filter['parent'] . '">'
				. $filter['name'] . (($filter['owner'] === '')? '' : " ({$filter['owner']})") . '</option>';
}
else
{
	echo '<a href="#" id="close_filter_picker"><img src="/logserver/images/icons/close-small.png" /></a>';
	if (count($global_filters))
	{
		echo '<div class="' . (count($own_filters)? 'left' : 'single')
			. '"><div>Global filters</div><ul>';
		foreach ($global_filters as $filtername)
			echo '<li><a href="#" class="global">' . $filtername . '</a></li>';
		echo '</ul></div>';
	}
	if (count($own_filters))
	{
		echo '<div class="' . (count($global_filters)? 'right' : 'single')
			. '"><div>My filters</div><ul>';
		foreach ($own_filters as $filtername)
			echo '<li><a href="#" class="own">' . $filtername . '</a></li>';
		echo '</ul></div>';
	}
	if (isset($default_filter))
		echo '<a id="default_filter" class="hidden">' . $default_filter . '</a>';
		//no span here because span.hidden is a flag for errors (todo: fix this by using span.error)
}
