<?php

class FilterUsersModel
{
	function get_allowed_users($filtername, $with_ldap = true)
	{
		$without_ldap_part = $with_ldap ? '' : " AND not name ~ ('__ldap_user_')";
		return Database::query("SELECT * FROM show_filter_users('$filtername') WHERE name != 'admin'$without_ldap_part ORDER BY name");
	}

	function get_allowed_groups($filtername)
	{
		return Database::query("SELECT * FROM show_filter_groups('$filtername')");
	}

	function get_disallowed_users($filtername, $with_ldap = true)
	{
		$without_ldap_part = $with_ldap ? '' : " AND not name ~ ('__ldap_user_')";
		return Database::query("SELECT * FROM show_available_users('$filtername') WHERE name != 'admin'$without_ldap_part ORDER BY name");
	}

	function get_disallowed_groups($filtername)
	{
		return Database::query("SELECT * FROM show_non_filter_groups('$filtername')");
	}

	function add_user($filtername, $username)
	{
		Database::query("SELECT insert_filteruser('$filtername', '$username', B'1')");
	}

	function remove_user($filtername, $username)
	{
		Database::query("SELECT delete_filteruser('$filtername', '$username')");
	}

	function add_group($filtername, $groupname)
	{
		Database::query("SELECT insert_filtergroup('$filtername', '$groupname', B'1')");
	}

	function remove_group($filtername, $groupname)
	{
		Database::query("SELECT delete_filtergroup('$filtername', '$groupname')");
	}
}
