<?php
$recipient_types = array(
	'Email',
	'Path'
);

$interval_types = array(
	'Daily',
	'Weekly',
	'Monthly',
	'Every&nbsp;hour',
	'Every&nbsp;6&nbsp;hours',
	'Every&nbsp;12&nbsp;hours'
);
?>
<table summary="Reports table" class="list">
<thead>
	<tr>
		<th>Recipient Type</th>
		<th>Filter</th>
		<th>Owner</th>
		<th>Interval</th>
		<th>Recipients</th>
		<th>Report Name</th>
		<th>Description</th>
		<th>&nbsp;</th>
		<th>&nbsp;</th>
		<th>&nbsp;</th>
	</tr>
</thead>
<tbody>
<?php
	foreach ($reports as $row)
	{
		echo <<<END
	<tr title="double click to edit" onmouseover="over_row(this,'')" onmouseout="over_row(this,'')">
		<td>{$recipient_types[$row['recipient_type']]}</td>
		<td>{$row['filter']}</td>
		<td>{$row['owner']}</td>
		<td>{$interval_types[$row['interval_type']]}<span class="hidden">{$row['interval_type']}</span></td>
		<td>{$row['recipients']}</td>
		<td>{$row['report']}</td>
END;
		echo '<td>' . htmlspecialchars($row['description']) . '</td>';
		echo <<<END
		<td class="send-now-small"><a href="#"><img src="/logserver/images/icons/mail-send.png" alt="" title="Send now" /></a></td>
		<td class="edit"><a href="#"><img src="/logserver/images/icons/edit.png" alt="" title="Edit" /></a></td>
		<td class="remove"><a href="#"><img src="/logserver/images/icons/close.png" alt="" title="Remove" /></a></td>
	</tr>
END;
	}
	if (empty($reports)) {
		echo '<tr><td colspan="10" style="padding: 2px 5px;font-style:italic">No report saved yet</td></tr>';
	}
?>
</tbody>
</table>
<span class="end"></span>