<?php

class UsersModel
{
	public function list_users($with_ldap = false)
	{
		$without_ldap_part = $with_ldap ? '' : " WHERE password <> ('')";
		return Database::query('SELECT name, real_name, email,'
			. ' (SELECT name FROM filters WHERE id = default_filter_id) AS default_filter'
			. " FROM users$without_ldap_part ORDER BY name");
	}

	public function add_user($username, $password, $real_name, $email, $filtername)
	{
		Database::query('INSERT INTO users (name, password, real_name, email, default_filter_id)'
			. " VALUES ('$username', '" . md5($password) . "', '" . pg_escape_string($real_name) . "', '$email',"
			. " (SELECT id FROM filters WHERE name = '$filtername'))");
		Database::query("SELECT insert_usergroup('$username', 'All')");
	}

	public function set_password($username, $password)
	{
		Database::query("UPDATE users SET password = '" . md5($password)
			. "' WHERE name = '$username'");

		if ($username == Auth::$username)
			$_SESSION['password'] = md5($password);
	}

	public function change_name($old, $new)
	{
		Database::query("UPDATE users SET name = '$new' WHERE name = '$old'");

		if ($old == Auth::$username)
			$_SESSION['username'] = $new;
	}

	public function change_real_name($new, $username)
	{
		Database::query("UPDATE users SET real_name = '$new' WHERE name = '$username'");
	}

	public function change_email($new, $username)
	{
		Database::query("UPDATE users SET email = '$new' WHERE name = '$username'");
	}	

	public function delete_user($username)
	{
		Database::query("DELETE FROM users WHERE name = '$username'");
	}

	public function insert_user_group($username, $groupname)
	{
		return Database::query("SELECT insert_usergroup('$username', '$groupname')");
	}

	public function delete_user_group($username, $groups)
	{
		return Database::query("DELETE FROM usergroup WHERE group_id IN"
			. " (SELECT id FROM groups WHERE name IN ($groups))"
			. " AND user_id = (SELECT id FROM users WHERE name = '$username')");
	}

	// return All users in some group
	public function groups_in_user($username)
	{
		return Database::query("SELECT name FROM show_user_groups('$username')");
	}

	public function groups_out_user($username)
	{
		return Database::query("SELECT name FROM groups EXCEPT SELECT name FROM show_user_groups('$username')");
	}
	
	public function users_in_group($groupname, $with_ldap = true)
	{
		$without_ldap_part = $with_ldap ? '' : " WHERE not name ~ '__ldap_user_'";
		return Database::query("SELECT name FROM show_group_users('$groupname')$without_ldap_part");
	}

	public function users_out_group($groupname, $with_ldap = true)
	{
		$without_ldap_part = $with_ldap ? '' : " WHERE not name ~ '__ldap_user_'";
		var_dump("SELECT name FROM users EXCEPT SELECT name FROM show_group_users('$groupname')$without_ldap_part"); die();
		return Database::query("SELECT name FROM users EXCEPT SELECT name FROM show_group_users('$groupname')$without_ldap_part");
	}

	public function set_default_filter($filtername, $username)
	{
		Database::query('UPDATE users SET default_filter_id = '
			. " (SELECT id FROM filters WHERE name = '$filtername') WHERE name = '$username'");
	}

	public function update_groups($user_id, $groups_list) {
		$user_id = intval($user_id);
		$groups_list[] = 1;
		Database::query("DELETE FROM usergroup WHERE user_id = ('$user_id');");
		$sql = "INSERT INTO usergroup (user_id, group_id) VALUES ";
		$new_values = array();
		foreach($groups_list as $gid) {
			$safe_gid = intval($gid);
			$new_values[] = "('$user_id', '$safe_gid')";
		}
		$sql .= implode(", ", $new_values).";";
		Database::query($sql);
	}

	public function get_id_by_name($name) {
		$safe_name = pg_escape_string($name);
		$ret = Database::query("SELECT id FROM users WHERE name = ('$safe_name');");
		if (empty($ret)) {
			return FALSE;
		}
		return intval($ret[0]["id"]);
	}
}
