var popupTimer = 0;

function close_popups()
{
	if (popupTimer)
	{
		clearInterval(popupTimer);
		$('.popup').remove();
	}
	$('.persistent_popup').addClass('hidden');
	$('.persistent_popup').removeAttr('style');
}

function popup(popup_element, popup_html, callback)
{
	if ($(popup_element).length)
		$(popup_element).remove();
	else
	{
		close_popups();
		$('body').append(popup_html);
		$(popup_element).addClass('popup');
		popupTimer = setInterval(close_popups, 4000);
		if (typeof(callback) == 'function')
			callback();
	}
}

$(document).ready(function(){
	$(document).click(function(){
		if (popupTimer)
		{
			clearInterval(popupTimer);
			$('.popup').remove();
		}
	});

	$('.help').livequery('click', function(){
		popup('#help_popup',
			'<div id="help_popup" style="position: absolute; left: '
			+ ($(this).offset().left - 16) + 'px; top: '
			+ ($(this).offset().top + $(this).outerHeight())
			+ 'px;"><img src="/logserver/images/bg/help-top-404.png" alt="" style="margin-left:-1px" />'
			+ '<div id="help-body">' + help[$(this).attr('id').substring(5, $(this).attr('id').length)] + '</div>'
			+ '<img src="/logserver/images/bg/help-bottom-404.png" alt="" /></div>'
		);
		return false;
	});

	$('.help2').livequery('click', function(){
		popup('#help_popup',
			'<div id="help_popup" style="position: absolute; left: '
			+ ($(this).offset().left - 390 + Math.floor($(this).outerWidth() / 2)) + 'px; top: '
			+ ($(this).offset().top + $(this).outerHeight())
			+ 'px;"><img src="/logserver/images/bg/help-top-404-right.png" alt="" />'
			+ '<div id="help-body">' + help[$(this).attr('id').substring(5, $(this).attr('id').length)] + '</div>'
			+ '<img src="/logserver/images/bg/help-bottom-404.png" alt="" /></div>'
		);
		return false;
	});

	$('.popup').livequery('mouseover', function(){
		clearInterval(popupTimer);
	});

	$('.popup').livequery('mouseout', function(){
		popupTimer = setInterval(close_popups, 4000);
	});
});
