<?php

if (!Auth::$is_admin['user'])
{
	header('Location: /logserver/error.html');
	exit;
}

?>

<table class="admin-form" style="margin: 0px; border: 0px;">
	<tr>
		<td class="middle"><br /><label for="username"><a id="help_user_name" class="help" href="#"><img src="/logserver/images/icons/help_14x14.png" alt="" /></a>&nbsp;Username</label></td>
		<td><br /><input type="text" id="username" name="username" class="normal" maxlength="128" /></td>
		<td rowspan="6" style="padding-left: 15px;">
			<label for="groups_out">&nbsp;Available groups</label><br />

			<select id="groups_out" multiple="multiple" size="16" class="box b150x219"></select>
		</td>
		<td class="middle" rowspan="6">
			&nbsp;&nbsp;
			<input type="button" id="groups_add" value="&raquo;" class="button arrow-right" /><br /><br />
			&nbsp;&nbsp;
			<input type="button" id="groups_remove" value="&laquo;" class="button arrow-left" />
			&nbsp;&nbsp;
		</td>
		<td rowspan="6">
			<label for="groups_in">&nbsp;Current groups</label><br />

			<select id="groups_in" name="groups[]" multiple="multiple" size="16" class="box b150x219"></select>
		</td>
	</tr>
	<tr>
		<td style="width: 130px; vertical-align: middle"><label for="real_name"><a id="help_user_real_name" class="help" href="#"><img src="/logserver/images/icons/help_14x14.png" alt="" /></a>&nbsp;Real name</label></td>
		<td><input type="text" id="real_name" name="real_name" value="" class="normal" maxlength="128" /></td>
	</tr>
	<tr>
		<td class="middle"><label for="email"><a id="help_user_email" class="help" href="#"><img src="/logserver/images/icons/help_14x14.png" alt="" /></a>&nbsp;Email</label></td>
		<td><input type="text" id="email" name="email" value="" class="normal" maxlength="128" /></td>
	</tr>
	<tr>
		<td class="middle"><label for="password"><a id="help_user_password" class="help" href="#"><img src="/logserver/images/icons/help_14x14.png" alt="" /></a>&nbsp;Password</label></td>
		<td><input type="password" id="password" name="password" value="" class="normal" maxlength="128" /></td>
	</tr>
	<tr>
		<td class="middle"><label for="password2"><a id="help_user_password2" class="help" href="#"><img src="/logserver/images/icons/help_14x14.png" alt="" /></a>&nbsp;Repeat password</label></td>
		<td><input type="password" id="password2" name="password2" value="" class="normal" maxlength="128" /></td>
	</tr>
	<tr>
		<td style="padding-top: 12px"><label for="filter"><a id="help_default_filter" class="help" href="#"><img src="/logserver/images/icons/help_14x14.png" alt="" /></a>&nbsp;Default filter</label></td>
		<td>
			<span id="filter_container"></span>
		</td>
	</tr>
	<tr class="button">
		<td>&nbsp;</td>
		<td colspan="4">
			<input type="hidden" id="orig_username" name="orig_username" value="" />
			<input type="hidden" id="action" name="action" value="" />
			<input type="submit" id="save" value="Save" class="button do-save" />
			&nbsp;
			<input type="button" id="cancel" value="Cancel" class="button cancel" />
		</td>
	</tr>
</table>
