<?php

if (!Auth::$is_admin['filter'])
{
	header('Location: /logserver/error.html');
	exit;
}

$filter = (isset($_GET['filter']))? $_GET['filter'] : '';
$filtertype = (isset($_GET['filtertype']))? $_GET['filtertype'] : 'private';

if ($filtertype == 'global')
{
	Audit::track('view filter permissions', "Filter: '$filter'");
?>
<form id="filterusersform" action="/logserver/comps/filterusers" method="post">
	<input type="hidden" id="fu_type" name="type" value="" />
	<input type="hidden" id="fu_view" name="view" value="" />
	<input type="hidden" id="fu_action" name="action" value="" />
	<input type="hidden" id="fu_filter" name="filter" value="<?php echo $filter; ?>" />
	<table class="popup-table">
		<tr>
			<td>
				<label for="disallowedusers">&nbsp;Available users</label><br />
				<select id="disallowedusers" multiple="multiple" size="15" class="box b130x245"></select>
			</td>
			<td>
				<label for="disallowedgroups">&nbsp;Available groups</label><br />
				<select id="disallowedgroups" multiple="multiple" size="15" class="box b130x245"></select>
			</td>
			<td class="middle">
				<input type="button" id="fu_add" name="add" class="button arrow-right" value="&raquo;" />
				<br /><br />
				<input type="button" id="fu_remove" name="remove" class="button arrow-left" value="&laquo;" />
			</td>
			<td>
				<label for="allowedusers">&nbsp;Current users</label><br />
				<select id="allowedusers" multiple="multiple" size="15" class="box b130x245"></select>
			</td>
			<td>
				<label for="allowedgroups">&nbsp;Current groups</label><br />
				<select id="allowedgroups" multiple="multiple" size="15" class="box b130x245"></select>
			</td>
		</tr>
	</table>
</form>
<?php } else echo '&nbsp;'; ?>
<span class="end"></span>
