<script type="text/javascript" src="/logserver/view/logs/querybuilder.js"></script>
<script type="text/javascript" src="/logserver/view/logs/filtermanagement.js"></script>
<div id="header">
	<h1>View log data</h1>
</div>
<?php
if (Auth::$is_admin['import'])
	echo '<div id="can_import"></div>';

if (isset($_GET['filter']))
	echo '<div id="preselected_filter" class="hidden">' . htmlspecialchars($_GET['filter']) . '</div>';
?>
<div id="main-box">
	<div id="main-content">
		<a href="#" id="filter_picker_toggle"><img src="/logserver/images/icons/arrow-down.gif" style="margin-bottom: 2px; margin-left: 3px; margin-right: 1px; width: 7px; height: 4px;" /></a>
		<a href="#" id="search_among" style="font-size: 11px; font-weight: bold; text-decoration: none">Search among</a>:

		<span id="hierarchy"></span>
		<div id="search" style="clear: both;">
			<form id="searchform" action="/logserver/comps/filters" method="get">
				<div>
					<input type="text" id="query" name="query" value="Search" class="search" maxlength="1024" />
					<input type="button" id="search_now" name="search" value="Search now" class="button search-now" />
					<input type="button" id="tail" name="action-tail" value="&#9660;" class="button tail" title="Tail" />
					&nbsp;
					<input type="hidden" id="filter" name="filter" value="" />
					<input type="text" id="newfilter" name="newfilter" value="Save this search as" class="save" maxlength="128" />
					<input type="button" id="save" name="save" value="Save" class="button do-save" />
					<?php if (Auth::$is_admin['filter']) { ?>
					<input type="checkbox" id="global" name="global" value="true" /> <label for="global" class="glob">global</label>
					<?php } ?>
				</div>
			</form>
			<div id="search_notifier" style="margin-left: 4px; float: left;">Starting from the end of database</div>
			<a href="#" id="qb_toggle"><img src="/logserver/images/icons/query-builder.png" alt="" title="Query Builder" style="margin-left: 0px; margin-top: 0px;" /> <em style="border-bottom: 1px dotted #777777">Query builder</em></a>
			<br />
			<div id="query_builder" class="hidden" style="margin-left: 0px; clear:both">
				<a id="help_query_builder" class="help" href="#" style="position: absolute; left: 702px; margin-top: -15px"><img src="/logserver/images/icons/help_14x14.png" alt="" /></a>
				<div style="clear:both"></div>
				<div id="qb_tree" class="hidden"></div>
				<form id="querybuilderform" action="#" method="post">
					<table class="white-table">
						<colgroup>
							<col style="width: 283px" />
							<col style="width: 260px" />
						</colgroup>
						<tr>
							<td>
								<label for="qb_severity">&nbsp;<strong>Severity</strong></label><br />
								<select id="qb_severity" multiple="multiple" size="5" class="box b345x100" title="is">
									<option value="emergency">emergency</option>
									<option value="alert">alert</option>
									<option value="critical">critical</option>
									<option value="error">error</option>
									<option value="warning">warning</option>
									<option value="notice">notice</option>
									<option value="info">info</option>
									<option value="debug">debug</option>
								</select>
							</td>
							<td style="padding-left: 15px">
								<label for="qb_facility">&nbsp;<strong>Facility</strong></label><br />
								<select id="qb_facility" multiple="multiple" size="5" class="box b345x100" title="is">
									<option value="kernel">kernel</option>
									<option value="user">user</option>
									<option value="mail">mail</option>
									<option value="daemon">daemon</option>
									<option value="auth">auth</option>
									<option value="syslog">syslog</option>
									<option value="lpr">lpr</option>
									<option value="news">news</option>
									<option value="uucp">uucp</option>
									<option value="cron">cron</option>
									<option value="authpriv">authpriv</option>
									<option value="ftp">ftp</option>
									<option value="ntp">ntp</option>
									<option value="logaudit">logaudit</option>
									<option value="logalert">logalert</option>
									<option value="clock2">clock2</option>
									<option value="local0">local0</option>
									<option value="local1">local1</option>
									<option value="local2">local2</option>
									<option value="local3">local3</option>
									<option value="local4">local4</option>
									<option value="local5">local5</option>
									<option value="local6">local6</option>
									<option value="local7">local7</option>
									<option value="mark">mark</option>
								</select>
							</td>
						</tr>
						<!--
						<tr>
							<td><label for="qb_rtime">Receive time</label></td>
							<td><input type="text" id="qb_rtime" class="include" value="" title="is" /><br /><input type="text" id="qb_rtime_not" class="exclude" value="" title="is not" /></td>
							<td><label for="qb_mtime">Message time</label></td>
							<td><input type="text" id="qb_mtime" class="include" value="" title="is" /><br /><input type="text" id="qb_mtime_not" class="exclude" value="" title="is not" /></td>
						</tr>
						-->
						<tr>
							<td><label for="qb_host">&nbsp;<strong>Host</strong></label><br /><input type="text" id="qb_host" class="include" value="" title="contains" /><br /><input type="text" id="qb_host_not" class="exclude" value="" title="does not contain" /></td>
							<td style="padding-left: 15px"><label for="qb_source_ip">&nbsp;<strong>Source IP</strong></label><br /><input type="text" id="qb_source_ip" class="include" value="" title="contains" /><br /><input type="text" id="qb_source_ip_not" class="exclude" value="" title="does not contain" /></td>
						</tr>
						<tr>
							<td><label for="qb_ident">&nbsp;<strong>Ident</strong></label><br /><input type="text" id="qb_ident" class="include" value="" title="contains" /><br /><input type="text" id="qb_ident_not" class="exclude" value="" title="does not contain" /></td>
							<td style="padding-left: 15px"><label for="qb_pid">&nbsp;<strong>PID</strong></label><br /><input type="text" id="qb_pid" class="include" value="" title="is" /><br /><input type="text" id="qb_pid_not" class="exclude" value="" title="is not" /></td>
						</tr>
						<tr>
							<td><label for="qb_event_id">&nbsp;<strong>Event ID</strong></label><br /><input type="text" id="qb_event_id" class="include" value="" title="is" /><br /><input type="text" id="qb_event_id_not" class="exclude" value="" title="is not" /></td>
							<td style="padding-left: 15px"><label for="qb_msg">&nbsp;<strong>Message</strong></label><br /><input type="text" id="qb_msg" class="include" value="" title="contains" /><br /><input type="text" id="qb_msg_not" class="exclude" value="" title="does not contain" /></td>
						</tr>
						<tr>
							<td><label for="qb_fts">&nbsp;<strong>Full text</strong></label><br /><input type="text" id="qb_fts" class="include" value="" title="contains" /><br /><input type="text" id="qb_fts_not" class="exclude" value="" title="does not contain" /></td>
							<td>&nbsp;</td>
						</tr>
					</table>
				</form>
			</div>
			<form id="timelineform" action="/logserver/comps/timeline" method="get">
				<input type="hidden" id="month" name="month" value="" />
				<input type="hidden" id="day" name="day" value="" />
				<input type="hidden" id="hour" name="hour" value="" />
			</form>
			<form id="importform" action="/logserver/comps/import" method="get">
				<input type="hidden" id="import" name="import" value="import" />
			</form>
			<form id="exportcsvform" action="/logserver/view/logs/exportcsv.inc.php" method="post">
				<textarea id="csv_text" name="csv"></textarea>
				<input type="hidden" id="csv_filename" name="filename" value="" />
			</form>
		</div>
	</div>
	<div id="main-table" style="margin-top: 0px">
		<div>
			<h1 style="font-size: 13px; margin-bottom: 3px; float: right"><a id="help_calendar" class="help2 calendar" href="#"><img src="/logserver/images/icons/help_14x14.png" alt="" /></a></h1><br style="clear: both" />
			<a id="fast_scroll_right" href="#">&nbsp;</a>
			<a id="scroll_right" href="#">&nbsp;</a>
			<a id="fast_scroll_left" href="#">&nbsp;</a>
			<a id="scroll_left" href="#">&nbsp;</a>
			<div id="months"></div>
			<div id="days"></div>
			<div id="hours"></div>
			<div id="import_status"></div>
			<div id="filter_info"></div>
			<div id="inquire"></div>
		</div>
		<div id="results">
			<h1 style="font-size: 13px; margin-bottom: 6px; float: left"><a id="help_results" class="help" href="#" style="margin-left: 0px"><img src="/logserver/images/icons/help_14x14.png" alt="" /></a> Results of searching '<span></span>' using the filter '<span></span>', limit <span></span> rows</h1>
			<div id="table_buttons" style="float: left; margin-top: 2px;">
				<div id="export_csv"><a href="#"><img src="/logserver/images/icons/csv.png" alt="export as .csv" title="export as .csv" /></a></div>
				<div id="divSelectLimit">
					<ul id="ulSelectLimit">
						<li><img src="/logserver/images/icons/settings-rows.png"
							alt="records per page"
							title="records per page"
						/><ul id="limit_picker">
							<li><a href="#">10</a></li>
							<li><a href="#">25</a></li>
							<li><a href="#">50</a></li>
							<li><a href="#">75</a></li>
							<li><a href="#">100</a></li>
							<li><a href="#">250</a></li>
							<li><a href="#">500</a></li>
							<li><a href="#">1000</a></li>
						</ul></li>
					</ul>
				</div>
				<div id="divSelectColumn">
					<ul id="ulSelectColumn"><li><img src="/logserver/images/icons/settings.png"
						alt="select columns" title="select columns"
						/><ul id="column_picker"></ul></li>
					</ul>
				</div>
			</div>
			<div class="simple-report-table" style="clear:both"></div>
		</div>
	</div>
</div>
