$(document).ready(function(){
	if ($('#show_auto_reports').length)
		loadurl='/logserver/view/reports/auto_reports.inc.php';
	else
	{
		loadurl='/logserver/view/reports/global_summary_reports.inc.php';
	}
	$('.table-border:first').load(loadurl, function(){
		if ($('#show_auto_reports').length)
			run_auto_reports();
		else
			run_global_summary_reports();
	});

	$('#show_auto_reports').click(function(){
		if (auto_report_creation_finished() && auto_report_editing_finished()
			&& global_summary_report_creation_finished() && global_summary_report_viewing_finished())
		{
			$(this).siblings('#show_global_summary_reports').removeClass('selected-global-summary-reports');
			$(this).siblings('#show_private_summary_reports').removeClass('selected-private-summary-reports');
			$(this).siblings('#show_global_summary_reports').addClass('global-summary-reports');
			$(this).siblings('#show_private_summary_reports').addClass('private-summary-reports');
			$(this).addClass('selected-auto-reports');
			$('#list > .end').expire();
			$('.table-border:first').load('/logserver/view/reports/auto_reports.inc.php', function(){
				run_auto_reports();
			});
		}
		return false;
	});

	$('#show_global_summary_reports').click(function(){
		if (auto_report_creation_finished() && auto_report_editing_finished()
			&& global_summary_report_creation_finished() && global_summary_report_viewing_finished())
		{
			$(this).siblings('#show_auto_reports').removeClass('selected-auto-reports');
			$(this).siblings('#show_private_summary_reports').removeClass('selected-private-summary-reports');
			$(this).siblings('#show_auto_reports').addClass('auto-reports');
			$(this).siblings('#show_private_summary_reports').addClass('private-summary-reports');
			$(this).addClass('selected-global-summary-reports');
			$('#list > .end').expire();
			$('.table-border:first').load('/logserver/view/reports/global_summary_reports.inc.php', function(){
				run_global_summary_reports();
			});
		}
		return false;
	});

	$('#show_private_summary_reports').click(function(){
		if (auto_report_creation_finished() && auto_report_editing_finished()
			&& global_summary_report_creation_finished() && global_summary_report_viewing_finished()
				&& private_summary_report_creation_finished() && private_summary_report_viewing_finished())
		{
			$(this).siblings('#show_auto_reports').removeClass('selected-auto-reports');
			$(this).siblings('#show_global_summary_reports').removeClass('selected-global-summary-reports');
			$(this).siblings('#show_auto_reports').addClass('auto-reports');
			$(this).siblings('#show_global_summary_reports').addClass('global-summary-reports');
			$(this).addClass('selected-private-summary-reports');
			$('#list > .end').expire();
			$('.table-border:first').load('/logserver/view/reports/private_summary_reports.inc.php', function(){
				run_private_summary_reports();
			});
		}
		return false;
	});

	$('#menu a').click(function(){
		if (auto_report_creation_finished() && auto_report_editing_finished()
			&& global_summary_report_creation_finished() && global_summary_report_viewing_finished()
				&& private_summary_report_creation_finished() && private_summary_report_viewing_finished())
			return true;
		else
			return false;
	});
});
